/********************************************************************************

	GnucNS - Network Simulator
    Copyright (C) 2003 John Marshall

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

	For support, questions, comments, etc...
	E-Mail: swabby@c0re.net

********************************************************************************/

using System;
using System.Windows.Forms;

namespace GnucNS.Interface
{
	/// <summary>
	/// // Opaque Panel Control for use with double buffering
	/// </summary>
	public class PanelEx : System.Windows.Forms.Panel
	{
		public bool Redraw = true;

		public PanelEx()
		{
			SetStyle(ControlStyles.ResizeRedraw | ControlStyles.Opaque, true);
		}

		public void InvalidateData()
		{
			Redraw = true;
			Invalidate();
		}
	}
}
